### Struct

# Gtk ExpressionWatch

since: 4.0

#### Description [src]

    struct GtkExpressionWatch {
      /* No available fields */
    }

An opaque structure representing a watched `GtkExpression`.

The contents of `GtkExpressionWatch` should only be accessed through the provided API.

Available since: 4.0

#### Instance methods

###### gtk_expression_watch_evaluate

Evaluates the watched expression and on success stores the result in `value`.

since: 4.0

###### gtk_expression_watch_ref

Acquires a reference on the given `GtkExpressionWatch`.

since: 4.0

###### gtk_expression_watch_unref

Releases a reference on the given `GtkExpressionWatch`.

since: 4.0

###### gtk_expression_watch_unwatch

Stops watching an expression.

since: 4.0